=== debian/changelog ===
libnanoxml2-java (2.2.3.dfsg-9) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 17 (Closes: #981947)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 01:39:19 +0100

libnanoxml2-java (2.2.3.dfsg-8) unstable; urgency=medium

  * Team upload.
  * Fixed the symbolic name of the OSGi bundles

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 17 Aug 2019 01:25:19 +0200

libnanoxml2-java (2.2.3.dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use long options for jh_build (Closes: #927016)
  * Disable javadoc link for JDK API and drop build-dep on default-jdk-doc
  * Fix doc-base-file-references-wrong-path lintian warning

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Apr 2019 22:31:41 +0200

libnanoxml2-java (2.2.3.dfsg-6) unstable; urgency=medium

  * Team upload

  [ Chris West (Faux) ]
  * Update to -source 1.8 to allow build with Java 9 (Closes: #893268)
    - change -source arguments
    - rename all the "enum" variables to "enu"

  [ Andreas Tille ]
  * More verbose output in build time test
  * Point Vcs-fields to Salsa
  * Standards-Version: 4.1.4
  * debhelper 11

  [ Emmanuel Bourg ]
  * Fixed the test cases

 -- Andreas Tille <tille@debian.org>  Wed, 16 May 2018 13:23:44 +0200

libnanoxml2-java (2.2.3.dfsg-5) unstable; urgency=medium

  * Team upload

  [ Markus Koschany ]
  * Team maintain the package in Debian Java maintainers so all members can
    modify and upload it without asking first.
  * Transition to bnd 2.1.0. (Closes: #805499)
  * Do not depend on a Java runtime because the Java Policy does not require
    this anymore.

  [ Andreas Tille ]
  * Move package to pkg-java repository as per private mail from Sveinung
    Kvilhaugsvik
  * source/format 3.0 quilt
  * cme fix dpkg-control
  * debhelper 9
  * short dh rules file
  * DEP5 copyright

 -- Andreas Tille <tille@debian.org>  Wed, 23 Dec 2015 20:40:57 +0100

libnanoxml2-java (2.2.3.dfsg-4) unstable; urgency=low

  * Removed no longer needed work around for 567899 (Closes: #573697)

 -- Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>  Wed, 17 Mar 2010 02:01:04 +0100

libnanoxml2-java (2.2.3.dfsg-3) unstable; urgency=low

  * Depend on headless since full jre not needed
  * Removed (C) from debian/copyright (Lintian fix)
  * Added misc:Depends (Lintian fix)
  * Changed section to java
  * Use javahelper to shorten rules
    + Use jh_build to build jars
    + Use jh_installlibs to install jars
  * Correct misunderstanding about Debian policy for naming jars
    + Add links to old jar names in case someone used them
    + Also link to how upstreams name the jars
  * Should now follow Debian Policy 3.8.4.0
    + Support nocheck in DEB_BUILD_OPTIONS
  * depend on default-jdk-doc instead of classpath-doc (Closes: #567284)
  * Don't build dep on default-jdk-builddep (pointed out by Matthew Johnson)
  * Don't depend on openjdk as default (pointed out by Matthew Johnson)
  * Use bnd to add OSGi metadata during build
  * Use jh_installjavadoc to install and register javadocs
  * Remove unused lines in clean target of rules

 -- Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>  Fri, 05 Feb 2010 15:19:08 +0100

libnanoxml2-java (2.2.3.dfsg-2) unstable; urgency=low

  * Made description and copyright file more precise
  * Build-Depends-Indep instead of Build-Depends (Lintian fix)
  * Watchfile and homepage field updated (Closes: #504764)
  * Fix FTBFS on Ubuntu (LP: #295686)

 -- Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>  Sun, 24 Aug 2008 21:17:35 +0200

libnanoxml2-java (2.2.3.dfsg-1) unstable; urgency=low

  * Initial release (Closes: #478727)
  * Removed generated files from upstream source
  * Has watchfile

 -- Sveinung Kvilhaugsvik <sveinung84@users.sourceforge.net>  Mon, 21 Jul 2008 18:54:43 +0000
