=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg(.)*//g \
http://devkix.com/nanoxml.php \
NanoXML-(.+)\.tar\.gz \
debian \
debian/origCleaner.sh
